# Praxisbericht-Template

Latex template for writing practial exams and reports for DHBW and ABB with TexLive.

## Structure

The template is structured in the following way: Every logical part of the code is contained within a specific directory. The file `main.tex` is the root of the document and is not meant to be modified execpt for adding new packages to be used.
The directories are as follows:


| Direcory   | Contents                                                                                                                                                          |
| ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| chapter    | Holds every chapter page of the report. These pages are to be created by the author on demand.                                                                    |
| config     | Holds configuration files for metadata about the author, company and topic covered. The data specified will be used automatically throughout the entire document. |
| extra      | Extra files for utilities and applied fixes                                                                                                                       |
| multimedia | Stores multimedia files used in the document such als images, videos and pdf files                                                                                |
| pages      | these are the abstract layout pages of the document are not to be altered                                                                                         |

Acronyms are defined in the file `acros.tex`. Likewise, glossaries are all defined in `glossary.tex`.

## Build

The project is intended to be build by TexLive through the use of latexmk. This is why there is a custom `.latexmkrc` file specified to keep the build process clean.

## Dependencies
This project requires the following:
- TexLive
- latexmk (often packaged with TexLive full-scheme)
- python
- pygments (python package for minted)